
// ************************** reg8490.h *****************************

/* more basic processor definitions for in-line ASM */
#define LCDPS       0x0F58
#define LCDA             5
#define WA               4
#define LCDCON      0x0F59
#define LCDEN            7
#define SLPEN            6
#define WERR             5
#define LCDSE0      0x0F5A
#define LCDSE1      0x0F5B
#define LCDSE2      0x0F5C
#define LCDSE3      0x0F5D
#define LCDSE4      0x0F5E
#define LCDSE5      0x0F5F
#define LCDDATA0    0x0F60
#define LCDDATA1    0x0F61
#define LCDDATA2    0x0F62
#define LCDDATA3    0x0F63
#define LCDDATA4    0x0F64
#define LCDDATA5    0x0F65
#define LCDDATA6    0x0F66
#define LCDDATA7    0x0F67
#define LCDDATA8    0x0F68
#define LCDDATA9    0x0F69
#define LCDDATA10   0x0F6A

#define RCSTA2      0x0F6B
#define TXSTA2      0x0F6C
#define TXREG2      0x0F6D
#define RCREG2      0x0F6E
#define SPBRG2      0x0F6F

#define LCDDATA11   0x0F70
#define LCDDATA12   0x0F71
#define LCDDATA13   0x0F72
#define LCDDATA14   0x0F73
#define LCDDATA15   0x0F74
#define LCDDATA16   0x0F75
#define LCDDATA17   0x0F76
#define LCDDATA18   0x0F77
#define LCDDATA19   0x0F78
#define LCDDATA20   0x0F79
#define LCDDATA21   0x0F7A
#define LCDDATA22   0x0F7B
#define LCDDATA23   0x0F7C

#define BAUDCON1    0x0F7E
#define SCKP             4
#define BRG16            3
#define SPBRGH1     0x0F7F

#define PORTA       0x0F80
#define PORTB       0x0F81
#define PORTC       0x0F82
#define PORTD       0x0F83
#define PORTE       0x0F84
#define PORTF       0x0F85
#define PORTG       0x0F86
#define PORTH       0x0F87
#define PORTJ       0x0F88
#define LATA        0x0F89
#define LATB        0x0F8A
#define LATC        0x0F8B
#define LATD        0x0F8C
#define LATE        0x0F8D
#define LATF        0x0F8E
#define LATG        0x0F8F
#define LATH        0x0F90
#define LATJ        0x0F91
#define TRISA       0x0F92
#define TRISB       0x0F93
#define TRISC       0x0F94
#define TRISD       0x0F95
#define TRISE       0x0F96
#define TRISF       0x0F97
#define TRISG       0x0F98
#define TRISH       0x0F99
#define TRISJ       0x0F9A

#define OSCTUNE     0x0F9B
#define PLLEN            6
#define INTSRC           7
#define MEMCON      0x0F9C
#define PIE1        0x0F9D
#define CCP1IE           2
#define TXIE             4
#define RC1IE            5
#define ADIE             6
#define PIR1        0x0F9E
#define CCP1IF           2
#define SSPIF            3
#define TX1IF            4
#define RC1IF            5
#define ADIF             6
#define IPR1        0x0F9F
#define PIE2        0x0FA0
#define CCP2IE           0
#define PIR2        0x0FA1
#define CCP2IF           0
#define IPR2        0x0FA2
#define PIE3        0x0FA3
#define TX2IE            4
#define RC2IE            5
#define PIR3        0x0FA4
#define TX2IF            4
#define RC2IF            5
#define LCDIF            6
#define IPR3        0x0FA5

#define RCSTA1      0x0FAB
#define OERR             1
#define FERR             2
#define CREN             4
#define SREN             5
#define SPEN             7
#define TXSTA1      0x0FAC
#define TRMT             1
#define BRGH             2
#define SYNC             4
#define TXEN             5
#define CSRC             7
#define TXREG1      0x0FAD
#define RCREG1      0x0FAE
#define SPBRG1      0x0FAF
#define T3CON       0x0FB1
#define T3CCP1           3
#define T3CCP2           6
#define RD16             7
#define TMR3L       0x0FB2
#define TMR3H       0x0FB3
#define CMCON       0x0FB4
#define CVRCON      0x0FB5

#define CCP2CON     0x0FBA
#define CCPR2L      0x0FBB
#define CCPR2H      0x0FBC
#define CCP1CON     0x0FBD
#define CCPR1L      0x0FBE
#define CCPR1H      0x0FBF
#define ADCON2      0x0FC0
#define ADCON1      0x0FC1
#define ADCON0      0x0FC2
#define ADON             0
#define GO_DONE          1
#define ADRESL      0x0FC3
#define ADRESH      0x0FC4
#define SSPCON2     0x0FC5
#define SSPCON1     0x0FC6
#define CKP              4
#define SSPOV            6
#define WCOL             7
#define SSPSTAT     0x0FC7
#define BF               0
#define RnW              2
#define DnA              5
#define SSPADD      0x0FC8
#define SSPBUF      0x0FC9
#define T2CON       0x0FCA
#define PR2         0x0FCB
#define TMR2        0x0FCC
#define T1CON       0x0FCD
//#define RD16           7
#define TMR1L       0x0FCE
#define TMR1H       0x0FCF
#define RCON        0x0FD0
#define WDTCON      0x0FD1
#define HLVDCON     0x0FD2
#define OSCCON      0x0FD3
#define T0CON       0x0FD5
#define TMR0L       0x0FD6
#define TMR0H       0x0FD7
#define STATUS      0x0FD8
#define C                0
#define Z                2
#define FSR2L       0x0FD9
#define FSR2H       0x0FDA
#define PLUSW2      0x0FDB
#define PREINC2     0x0FDC
#define POSTDEC2    0x0FDD
#define POSTINC2    0x0FDE
#define INDF2       0x0FDF
#define BSR         0x0FE0
#define FSR1L       0x0FE1
#define FSR1H       0x0FE2

#define INDF1       0x0FE7
#define WREG        0x0FE8
#define FSR0L       0x0FE9
#define FSR0H       0x0FEA
#define POSTINC0    0x0FEE
#define INDF0       0x0FEF
#define INTCON3     0x0FF0
#define INTCON2     0x0FF1
#define RBPU             7
#define INTCON      0x0FF2
#define RBIF             0
#define INT0IF           1
#define TMR0IF           2
#define RBIE             3
#define INT0IE           4
#define TMR0IE           5
#define GIEL             6
#define GIEH             7
#define PRODL       0x0FF3
#define PRODH       0x0FF4
#define TABLAT      0x0FF5
#define TBLPTRL     0x0FF6
#define TBLPTRH     0x0FF7
#define TBLPTRU     0x0FF8
#define PCLATH      0x0FFA

